<?php

// In your theme's functions.php or equivalent
add_action('customize_controls_enqueue_scripts', function() {
    $version = wp_get_theme()->get('Version');
    
    // Define parameters
    $customizer_params = array(
        'some_key' => 'some_value', // Add your parameters here
    );
    
    wp_enqueue_script(
        'mobile-app-launch-customize-section-button',
        get_theme_file_uri('assets/js/customize-controls.js'),
        ['customize-controls'],
        $version,
        true
    );

    wp_enqueue_style(
        'mobile-app-launch-customize-section-button',
        get_theme_file_uri('assets/css/customize-controls.css'),
        ['customize-controls'],
        $version
    );

    wp_localize_script(
        'mobile-app-launch-customize-section-button',
        'mobile_app_launch_customizer_params',
        $customizer_params
    );
});


 /**
 * Enqueue scripts and styles.
 */
function mobile_app_launch_scripts() {
	// Styles	 

	wp_enqueue_style('bootstrap-min',get_template_directory_uri().'/assets/css/bootstrap.min.css');

	// owl
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );
		
	wp_enqueue_style( 'font-awesome', get_template_directory_uri().'/assets/css/fontawesome-all.css' );
	
	wp_enqueue_style('mobile-app-launch-editor-style',get_template_directory_uri().'/assets/css/editor-style.css');

	wp_enqueue_style('mobile-app-launch-main', get_template_directory_uri() . '/assets/css/main.css');

	wp_enqueue_style('mobile-app-launch-woo', get_template_directory_uri() . '/assets/css/woo.css');
	
	wp_enqueue_style( 'mobile-app-launch-style', get_stylesheet_uri() );


	wp_enqueue_style('mobile-app-launch-main', get_stylesheet_uri(), array() );
		wp_style_add_data('mobile-app-launch-main', 'rtl', 'replace');
	
	// Scripts

	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/assets/js/bootstrap.bundle.min.js', array('jquery'), false, true);

	wp_enqueue_script('mobile-app-launch-theme-js', get_template_directory_uri() . '/assets/js/theme.js', array('jquery'), false, true);

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

    // Animations
    if ( get_theme_mod( 'mobile_app_launch_animation_enabled', true ) ) {
        wp_enqueue_script('wow-js', get_theme_file_uri('/assets/js/wow.js'), array('jquery'), null, true);
        wp_enqueue_style('animate-css', get_template_directory_uri() . '/assets/css/animate.css');
    }

}
add_action( 'wp_enqueue_scripts', 'mobile_app_launch_scripts' );

// Function to enqueue custom CSS
function mobile_app_launch_enqueue_custom_css() {
    // Define a unique handle for your inline stylesheet
    $handle = 'mobile-app-launch-style';
    
    // Get the generated custom CSS
    $mobile_app_launch_custom_css = "";

    $mobile_app_launch_blog_layouts = get_theme_mod('mobile_app_launch_blog_layout_option_setting', 'Default');
    if ($mobile_app_launch_blog_layouts == 'Default') {
        $mobile_app_launch_custom_css .= '.blog-item{';
        $mobile_app_launch_custom_css .= 'text-align:center;';
        $mobile_app_launch_custom_css .= '}';
    } elseif ($mobile_app_launch_blog_layouts == 'Left') {
        $mobile_app_launch_custom_css .= '.blog-item{';
        $mobile_app_launch_custom_css .= 'text-align:Left;';
        $mobile_app_launch_custom_css .= '}';
    } elseif ($mobile_app_launch_blog_layouts == 'Right') {
        $mobile_app_launch_custom_css .= '.blog-item{';
        $mobile_app_launch_custom_css .= 'text-align:Right;';
        $mobile_app_launch_custom_css .= '}';
    }
    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $mobile_app_launch_custom_css);

    // Get the generated custom CSS
    $mobile_app_launch_custom_css = "";

    $mobile_app_launch_slider_arrows = get_theme_mod('mobile_app_launch_slider_arrows',false);
    if($mobile_app_launch_slider_arrows == false){
    $mobile_app_launch_custom_css .='.page-template-template-frontpage .headerbox{';
        $mobile_app_launch_custom_css .='position:static; border-bottom:1px solid #ccc';
    $mobile_app_launch_custom_css .='}';
    }

    // Enqueue the inline stylesheet
    wp_add_inline_style($handle, $mobile_app_launch_custom_css);

    // Add inline style for Scroll to Top
    $mobile_app_launch_scroll_top_bg_color = get_theme_mod('mobile_app_launch_scroll_top_bg_color', '#0047FF');
    $mobile_app_launch_scroll_top_color = get_theme_mod('mobile_app_launch_scroll_top_color', '#fff');

    // Use global if still default
    if ( $mobile_app_launch_scroll_top_bg_color === '#0047FF' ) {
        $mobile_app_launch_scroll_top_bg_color = get_theme_mod('mobile_app_launch_dynamic_color_one');
    }
    
    $mobile_app_launch_scroll_custom_css = "
        #scrolltop {
            background-color: {$mobile_app_launch_scroll_top_bg_color};
        }
        #scrolltop span {
            color: {$mobile_app_launch_scroll_top_color};
        }
    ";
    wp_add_inline_style('mobile-app-launch-style', $mobile_app_launch_scroll_custom_css);

    // Add inline style for Preloader
    $mobile_app_launch_preloader_bg_color = get_theme_mod('mobile_app_launch_preloader_bg_color', '#ffffff');
    $mobile_app_launch_preloader_color = get_theme_mod('mobile_app_launch_preloader_color', '#0047FF');

    // Use global if still default
    if ( $mobile_app_launch_preloader_color === '#0047FF' ) {
        $mobile_app_launch_preloader_color = get_theme_mod('mobile_app_launch_dynamic_color_one');
    }

    $mobile_app_launch_preloader_custom_css = "
        .loading {
            background-color: {$mobile_app_launch_preloader_bg_color};
        }
        .loader {
            border-color: {$mobile_app_launch_preloader_color};
            color: {$mobile_app_launch_preloader_color};
            text-shadow: 0 0 10px {$mobile_app_launch_preloader_color};
        }
        .loader::before {
            border-top-color: {$mobile_app_launch_preloader_color};
            border-right-color: {$mobile_app_launch_preloader_color};
        }
        .loader span::before {
            background: {$mobile_app_launch_preloader_color};
            box-shadow: 0 0 10px {$mobile_app_launch_preloader_color};
        }
    ";
    wp_add_inline_style('mobile-app-launch-style', $mobile_app_launch_preloader_custom_css);

   // footer copyright
    $mobile_app_launch_footer_font_size = get_theme_mod('mobile_app_launch_footer_bottom_copyright_text_font_size');
    $mobile_app_launch_footer_padding = get_theme_mod('mobile_app_launch_footer_bottom_copyright_text_top_bottom_padding');

    if ( $mobile_app_launch_footer_font_size === '14px' ) {
        $mobile_app_launch_footer_font_size = get_theme_mod('mobile_app_launch_body_font_size');
    }

    $mobile_app_launch_footer_copyright_css = "
        .copy-right p {
            font-size: {$mobile_app_launch_footer_font_size}px;
            padding: {$mobile_app_launch_footer_padding}px;
        }
    ";
    wp_add_inline_style('mobile-app-launch-style', $mobile_app_launch_footer_copyright_css); 

    // copyright text color
    $mobile_app_launch_footer_copyright_text_color =
        get_theme_mod( 'mobile_app_launch_footer_copyright_text_color' );

    if ( $mobile_app_launch_footer_copyright_text_color ) {
        $mobile_app_launch_color_footer_css  = "
    .copy-right p, .copy-right p a{
        color: " . esc_attr( $mobile_app_launch_footer_copyright_text_color ) . ";
    }
    ";
        wp_add_inline_style( 'mobile-app-launch-style', $mobile_app_launch_color_footer_css );
    }
}

// Hook the function to the 'wp_enqueue_scripts' action
add_action('wp_enqueue_scripts', 'mobile_app_launch_enqueue_custom_css');